# Uses of Class
org.springframework.core.convert.converter.ConvertingComparator

Packages that use ConvertingComparator
Package
Description
org.springframework.core.convert.converter
SPI to implement Converters for the type conversion system.

## Uses of ConvertingComparator in org.springframework.core.convert.converter

Methods in org.springframework.core.convert.converter that return ConvertingComparator
Modifier and Type
Method
Description
`static <K, V> ConvertingComparator<Map.Entry<K,V>,K>`
ConvertingComparator.`mapEntryKeys(Comparator<K> comparator)`
Create a new `ConvertingComparator` that compares map entries based on their keys.
`static <K, V> ConvertingComparator<Map.Entry<K,V>,V>`
ConvertingComparator.`mapEntryValues(Comparator<V> comparator)`
Create a new `ConvertingComparator` that compares map entries based on their values.